\version "2.24.1"

N = 39
\include "haydn.ly"

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout I }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup
          \new Oboes <<
            \new OboeI  { \I.Oboe.1 }
            \new OboeII { \I.Oboe.2 }
          >>
        \new StaffGroup
          \new Horns <<
            \new HornIandII   \with { key=bes } \partCombine \I.Horn.1 \I.Horn.2
            \new HornIIIandIV \with { key=g   } \partCombine \I.Horn.3 \I.Horn.4
          >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CBB   { \I.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \maxsystems 4
    \score {
      \layout { \breaklayout II }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new CB    { \II.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout III }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks III
        \III.structure
        \new StaffGroup
          \new OboeIandII \partCombine \III.Oboe.1 \III.Oboe.2
        \new StaffGroup
          \new Horns <<
            \new HornIandII   \with { key=bes } \partCombine \III.Horn.1 \III.Horn.2
            \new HornIIIandIV \with { key=g   } \partCombine \III.Horn.3 \III.Horn.4
          >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \III.Violin.1 }
            \new ViolinII { \III.Violin.2 }
          >>
          \new Viola { \III.Viola }
          \new CBB   { \III.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout IV }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup
          \new OboeIandII \partCombine \IV.Oboe.1 \IV.Oboe.2
        \new StaffGroup
          \new Horns <<
            \new HornIandII   \with { key=bes } \partCombine \IV.Horn.1 \IV.Horn.2
            \new HornIIIandIV \with { key=g   } \partCombine \IV.Horn.3 \IV.Horn.4
          >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CBB   { \IV.Cello }
        >>
      >>
    }
  }
}
